template-haskell: Remove FamFlavour, family[No]KindD, closedTypeFamily[No]KindD
Needs RevisionPublic

Authored by bgamari on Mar 9 2017, 1:53 PM.

Details

Summary

Carries out a task found in template-haskell.

Test Plan

Validate

bgamari created this revision.Mar 9 2017, 1:53 PM
RyanGlScott accepted this revision.Mar 9 2017, 2:06 PM

Looks good. Make sure to include a note in the changelog. (Currently, the notes for the 2.11 release claim that FamFlavour was removed, which technically isn't true... maybe we should fix that retroactively? :) )

libraries/template-haskell/Language/Haskell/TH/Lib.hs
601–607

Remove this blurb as well.

This revision is now accepted and ready to land.Mar 9 2017, 2:06 PM
RyanGlScott requested changes to this revision.Mar 10 2017, 10:35 AM

@bgamari indicated that we might want to hold off on this for another release cycle, since these were only deprecated very recently (GHC 8.0). Bumping out of the accepted state for now.

This revision now requires changes to proceed.Mar 10 2017, 10:35 AM
austin resigned from this revision.Nov 9 2017, 11:35 AM